uuid: 36891dd1-8a62-4a38-83e2-29ce744b1fca
langcode: es
status: true
dependencies: {  }
id: gronze_pg_note_simple
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - paragraphs
  - level2
migration_group: gronze_paragraph
label: 'note_simple PG migration from Gronze D7'
source:
  plugin: d7_paragraphs_item_check_archived
  high_water_property:
    name: revision_id
    alias: p
  entity: paragraph
  bundle: nota_simple
process:
  langcode:
    plugin: default_value
    default_value: es
  field_text_body:
    plugin: sub_process
    source: field_text_body
    process:
      value: value
      format:
        plugin: text_format_map
        source: format
  field_ref_note_type:
    plugin: sub_process
    source: field_note_type
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_note_type
        source: tid
        no_stub: true
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: note_simple
migration_dependencies:
  required:
    - gronze_taxonomy_note_type
